
from .base import Command


class QMOD(Command):
    REQUEST_FMT = 'QMOD'
    RESPONSE_FMT = '{mode:s}'

    MODE_POWER_ON = 'P'
    MODE_STANDBY = 'S'
    MODE_AC_INPUT = 'L'
    MODE_BATTERY = 'B'
    MODE_FAULT = 'F'
    MODE_POWER_SAVING = 'H'
    MODE_SHUTDOWN = 'D'
    MODE_CHARGING = 'C'
    MODE_BYPASS = 'Y'
    MODE_ECO = 'E'

    DISPLAY_NAMES = {
        'mode': 'Inverter Mode'
    }

    CHOICES = {
        'mode': [
            (MODE_POWER_ON, 'Power On'),
            (MODE_STANDBY, 'Standby'),
            (MODE_AC_INPUT, 'AC Input'),
            (MODE_BATTERY, 'Battery'),
            (MODE_FAULT, 'Fault'),
            (MODE_POWER_SAVING, 'Power Saving'),
            (MODE_SHUTDOWN, 'Shutdown'),
            (MODE_CHARGING, 'Charging'),
            (MODE_BYPASS, 'Bypass'),
            (MODE_ECO, 'Eco')
        ]
    }
